<?php
/*------------------------------------------------------------------------
# default.php - mod_ospropertyshowcase
# ------------------------------------------------------------------------
# author    Dang Thuc Dam
# copyright Copyright (C) 2010 joomdonation.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomdonation.com
# Technical Support:  Forum - http://www.joomdonation.com/forum.html
*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');
$db = JFactory::getDbo();
	if($bstyle == "white"){
		$color = "#DDD";
	}else{
		$color = "#444";
	}
	foreach ($properties as $property) {
		$float = "float:left;";
	?>
	<div class="element_property1" style="width:<?php echo $element_width?>px;<?php echo $float?>;border:1px solid <?php echo $color; ?> !important;padding:2px;margin:2px;height:<?php echo $element_height?>px;overflow:hidden;">
	
	    <div class="name_property1">
			<a href="<?php echo JRoute::_('index.php?option=com_osproperty&task=property_details&id='.$property->id,'&Itemid='.JRequest::getVar('Itemid'))?>">
				<?php
				if($property->ref != ""){
					echo $property->ref.", ";
				}
				?>
				<?php
				$arr_title_word = explode(' ',$property->pro_name);
				if (!$limit_title_word || $limit_title_word > count($arr_title_word)){
					echo $property->pro_name;
				}else {
					$tmp_title = array();
					for ($i=0; $i < $limit_title_word;$i++){
						$tmp_title[] = $arr_title_word[$i];
						if ($i > 2*count($arr_title_word)/3 && stristr($arr_title_word[$i],'.')) break;
					}	
					echo implode(' ',$tmp_title)."...";					
				}	
				?>
			</a>
		</div>
		<div class="image_property1">
			<?php if ($property->photo != ''){?>
				<a href="<?php echo JRoute::_('index.php?option=com_osproperty&task=property_details&id='.$property->id,'&Itemid='.JRequest::getVar('Itemid'))?>">
					<img width="<?php echo $width?>" alt="<?php echo $property->pro_name?>" src="<?php echo JURI::root()?>images/osproperty/properties/<?php echo $property->id?>/medium/<?php echo $property->photo;?>" />
				</a>	
			<?php }else {?>
				<img width="<?php echo $width?>" alt="<?php echo $property->pro_name?>" src="<?php echo JURI::root()?>components/com_osproperty/images/assets/noimage.png" />
			<?php }?>
	        <div class="price-tag-property1">
	        <?php
				$arr_desc = array();
				if($show_category == 1){
				echo "<div class='category'/>";
					$link = JRoute::_('index.php?option=com_osproperty&task=category_details&id='.$property->catid.'&Itemid='.JRequest::getVar('Itemid'));
					echo "<a href='$link' style='font-size:11px;'>";
					echo $property->category_name;
					echo "</a>";
					echo "</div>";
				}
				if($show_price == 1){
					echo "<div class='price'/>";
					$db->setQuery("Select fieldvalue from #__osrs_configuration where fieldname like 'general_currency_default'");
					$curr = $db->loadResult();
					
					if($property->price_call == 1){
						echo JText::_('OSPROPERTY_CALL_FOR_PRICE');
					}elseif($property->price > 0){
						echo HelperOspropertyCommon::loadCurrency($property->curr)." ".HelperOspropertyCommon::showPrice($property->price);
					}
					echo "</div>";
				}
			
			?>
	        </div>
	        <?php if($property->isFeatured == 1){?>
	        <div class="property-features">
	        	<?php echo JText::_('OSPROPERTY_FEATURED')?>
	        </div>
	        <?php
	        }
	        ?>
	        <?php if($show_type == 1){?>
	         <div class="property-types">
	         	<?php echo $property->type_name?>
	        </div>
	        <?php } ?>
		</div>
		<div class="bedrooms-property1">
			<?php
			$addtionalArr = array();
			if($show_bedrooms == 1){
				$temp  = "<table width='100%'><tr><td width='30%' valign='top'>";
				$temp .= "<span class='hasTip' title='".JText::_('OSPROPERTY_BEDROOMS')."'><img src='".JURI::root()."modules/mod_ospropertyshowcase/asset/bed-icon.png' border='0' /></span>";
				$temp .= "</td><td width='70%' valign='top' class='room".$bstyle."'  >$property->bed_room</td></tr></table>";
				$addtionalArr[] = $temp;
			}
			if($show_bathrooms == 1){
				
				$temp  = "<table width='100%'><tr><td width='30%' valign='top'>";
				//$temp .= "<img src='".JURI::root()."components/com_osproperty/images/assets/bathroom.gif' border='0' />";
				$temp .= "<span class='hasTip' title='".JText::_('OSPROPERTY_BATHROOMS')."'><img src='".JURI::root()."modules/mod_ospropertyshowcase/asset/shower-icon.png' border='0' /></span>";
				$temp .= "</td><td width='70%' valign='top' class='room".$bstyle."'  >$property->bath_room</td></tr></table>";
				$addtionalArr[] = $temp;
			}
			if($show_rooms  == 1){
				$temp  = "<table width='100%'><tr><td width='30%' valign='top'>";
				$temp .= "<span class='hasTip' title='".JText::_('OSPROPERTY_ROOMS')."'><img src='".JURI::root()."modules/mod_ospropertyshowcase/asset/size-home-ico.png' border='0' /></span>";
				$temp .= "</td><td width='70%' valign='top' class='room".$bstyle."'  >$property->rooms</td></tr></table>";
				$addtionalArr[] = $temp;
			}
			?>
    		<div class="bedrooms">
    			<table width="100%">
					<tr>
						<?php
						for($j=0;$j<count($addtionalArr);$j++){
							?>
							<td style="width:<?php echo $percent?>px;">
								<?php
								echo $addtionalArr[$j];
								?>
							</td>
							<?php
						}
						?>
					</tr>
				</table>
             </div>
         	<?php
         	if($property->show_address == 1){
         		$element_width1 = $element_width-20;
				echo "<div style='width:".$element_width1."px;text-align:left;padding:5px;'>";
				echo OSPHelper::generateAddress($property);
				echo "</div>";
         	}
         	?>
        </div>
	</div>
	<?php	
	}
	?>
